%global _empty_manifest_terminate_build 0
Name:           python-oslo-service
Version:        2.5.0
Release:        3
Summary:        oslo.service library
License:        Apache-2.0
URL:            https://docs.openstack.org/oslo.service/latest/
Source0:        https://files.pythonhosted.org/packages/f3/30/ca4e562679e17064592d0c9eab6e6edd6a44a5b7cbcd2cddd3e658dcaf1b/oslo.service-2.5.0.tar.gz
BuildArch:      noarch
%description
Library for running OpenStack services

%package -n python3-oslo-service
Summary:        oslo.service library
Provides:       python-oslo-service
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
# General requires
BuildRequires:  python3-paste
BuildRequires:  python3-paste-deploy
BuildRequires:  python3-routes
BuildRequires:  python3-webob
BuildRequires:  python3-yappi
BuildRequires:  python3-debtcollector
BuildRequires:  python3-eventlet
BuildRequires:  python3-fixtures
BuildRequires:  python3-greenlet
BuildRequires:  python3-oslo-concurrency
BuildRequires:  python3-oslo-config
BuildRequires:  python3-oslo-i18n
BuildRequires:  python3-oslo-log
BuildRequires:  python3-oslo-utils == 4.8.0
BuildRequires:  python3-coverage
# General requires
Requires:       python3-paste
Requires:       python3-paste-deploy
Requires:       python3-routes
Requires:       python3-webob
Requires:       python3-yappi
Requires:       python3-debtcollector
Requires:       python3-eventlet
Requires:       python3-fixtures
Requires:       python3-greenlet
Requires:       python3-oslo-concurrency
Requires:       python3-oslo-config
Requires:       python3-oslo-i18n
Requires:       python3-oslo-log
Requires:       python3-oslo-utils == 4.8.0
%description -n python3-oslo-service
Library for running OpenStack services

%package help
Summary:        oslo.service library
Provides:       python3-oslo-service-doc
%description help
Library for running OpenStack services

%prep
%autosetup -n oslo.service-2.5.0 -p1

%build
%py3_build


%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
# FIXME: https://review.openstack.org/279011 seems to break tests in CentOS7,
# creating an infinite loop
#python3 setup.py test ||
#rm -rf .testrepository

%files -n python3-oslo-service -f filelist.lst
%dir %{python3_sitelib}/*


%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu Mar 02 2023 OpenStack_SIG <openstack@openeuler.org> - 2.5.0-3
- Fix install error

* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 2.5.0-2
- DESC: delete -S git from %autosetup

* Thu Jul 15 2021 OpenStack_SIG <openstack@openeuler.org> - 2.5.0-1
- Update to version 2.5.0
* Sat Jan 30 2021 zhangy <zhangy1317@foxmail.com>
- Add buildrequires
* Fri Jan 08 2021 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated

